Did you know LQ has a Linux Hardware Compatibility List?
Go Back > Forums > Linux Forums > Linux - Software
User Name
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.


  Search this Thread
Old 07-28-2012, 05:02 PM   #1
Ed Gray
LQ Newbie
Registered: Jul 2012
Posts: 13

Rep: Reputation: Disabled
Smile Cannot satisfy Printer installer

I have tried to install HPLIP 3.12.6. (see Installer Wallkthrough HP Linux Imaging and Printing) when I get to step 11 before Restart etc. I have an error message that says I need libusb-USB library. I have downloaded it from Linux, but it still says it is not there. What am I doing wrong?
Old 07-28-2012, 05:53 PM   #2
Registered: Sep 2003
Posts: 382

Rep: Reputation: 87
I found this page on an HP related site:

In that procedure, it appears that the dependencies are handled around step 7 or 8. Are you following a different procedure? Please give us the details of what you are doing. If there's a web page that shows us the procedure you are following, please post the URL. Also, have you checked to see if there is a pre-built package for your distro?
Old 07-29-2012, 12:09 AM   #3
John VV
LQ Muse
Registered: Aug 2005
Posts: 15,641

Rep: Reputation: Disabled
if this is the current Fedora 17 ( icon under your name is fedora)
then hplip and cups will be already installed

the fedora installer would have seen the printer at the time of install and installed the needed software

i have never had fedora NOT "just work" with a HP printer


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Pacman cannot satisfy dependencies because of missing libgl Skyer Linux - Newbie 3 12-18-2011 02:15 PM
GbE throughput doesn't satisfy me Orangutanklaus Ubuntu 2 11-10-2010 03:07 AM
LXer: Linux failed to satisfy old PC Users LXer Syndicated Linux News 0 06-12-2010 10:11 PM
Does dm-crypt satisfy the FIPS? noarmangel Linux - Security 1 08-06-2008 01:02 PM
unable to satisfy dependencies ??? belkins Linux - Newbie 2 10-18-2004 04:23 PM

All times are GMT -5. The time now is 02:12 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration